(set-info :smt-lib-version 2.6)
(set-logic QF_UFNRA)
(set-info :source |
    Simple airplane collision avoidance system model
    Submitted by Tim King (taking@cs.nyu.edu) and Clark Barrett (barrett@cs.nyu.edu)
  |)
(set-info :category "industrial")
(set-info :status sat)
(set-info :difficulty | unknown |)
(declare-fun rrm () Real)
(declare-fun intr_target_alt () Real)
(declare-fun own_target_alt () Real)
(declare-fun intr_alt_rate_mag () Real)
(declare-fun own_alt_rate_mag () Real)
(declare-fun TCA () Real)
(declare-fun MAX_Tau_To_Trigger_Threat () Real)
(declare-fun range (Real) Real)
(declare-fun range_rate (Real) Real)
(declare-fun intr_alt (Real) Real)
(declare-fun intr_alt_rate (Real) Real)
(declare-fun own_alt (Real) Real)
(declare-fun own_alt_rate (Real) Real)
(declare-fun alt_proj (Real) Real)
(declare-fun limited_alt_proj (Real) Real)
(declare-fun state_is_No_RA (Real) Bool)
(declare-fun state_is_Climb (Real) Bool)
(declare-fun state_is_Descend (Real) Bool)
(declare-fun Collision_Threat (Real) Bool)
(declare-fun tau (Real) Real)
(assert (let ((?v_1 (own_alt 0)) (?v_7 (state_is_No_RA 0)) (?v_23 (Collision_Threat 0)) (?v_0 (range_rate 0)) (?v_2 (own_alt_rate 0)) (?v_3 (intr_alt 0)) (?v_4 (intr_alt_rate 0)) (?v_15 (range 0)) (?v_8 (state_is_Climb 0))) (let ((?v_10 (not ?v_8)) (?v_11 (state_is_Descend 0))) (let ((?v_9 (not ?v_11)) (?v_12 (not ?v_7)) (?v_14 (tau 0))) (let ((?v_17 (* ?v_14 ?v_4)) (?v_18 (* ?v_14 ?v_2))) (let ((?v_22 (* 1 ?v_18)) (?v_19 (* 1 ?v_17)) (?v_6 (* (- 1) ?v_1)) (?v_24 (* (- 1) own_target_alt)) (?v_5 (* (- 1) ?v_3)) (?v_13 (* (- 1) ?v_15)) (?v_16 (* (- 1) ?v_0)) (?v_21 (* (- 1) ?v_17)) (?v_20 (* (- 1) ?v_18))) (and (= ?v_1 15000) (and ?v_7 (not ?v_23) (= (range TCA) 0) (= (tau TCA) 0) (ite (< 0 TCA) (= (+ 0 ?v_0 rrm) 0) (= ?v_0 rrm)) (ite (< 0 (+ 0 ?v_6 own_target_alt)) (= ?v_2 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_1 ?v_24)) (= (+ 0 ?v_2 own_alt_rate_mag) 0) (= ?v_2 0))) (ite (< 0 (+ 0 ?v_5 intr_target_alt)) (= ?v_4 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_3 (* (- 1) intr_target_alt))) (= (+ 0 ?v_4 intr_alt_rate_mag) 0) (= ?v_4 0))) (not (and (<= 0 (+ (/ 823 10000) ?v_13)) (or (and (< 0 (+ 0 ?v_1 ?v_5)) (<= 0 (+ 100 ?v_6 ?v_3))) (and (<= 0 (+ 0 ?v_6 ?v_3)) (<= 0 (+ 100 ?v_1 ?v_5)))))) (or (and ?v_7 ?v_10 ?v_9) (and ?v_8 ?v_9 ?v_12) (and ?v_10 ?v_11 ?v_12)) (ite (< 0 (+ (/ (- 1) 720) ?v_16)) (= (+ 0 (* (- 1) (* ?v_14 ?v_0)) ?v_13) 0) (= (+ 0 ?v_14 (* (- 720) ?v_15)) 0)) (= (and (< 0 ?v_16) (<= 0 (+ 0 (* (- 1) ?v_14) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_21 ?v_22 ?v_1 ?v_5)) (< 0 (+ 500 ?v_19 ?v_20 ?v_6 ?v_3))) (and (< 0 (+ 0 ?v_19 ?v_20 ?v_6 ?v_3)) (< 0 (+ 500 ?v_21 ?v_22 ?v_1 ?v_5))))) ?v_23)) (and (< 0 rrm) (< 0 (+ (/ 1 3) (* (- 1) rrm))) (<= 0 intr_alt_rate_mag) (<= 0 (+ 100 (* (- 1) intr_alt_rate_mag))) (<= 0 own_alt_rate_mag) (<= 0 (+ 100 (* (- 1) own_alt_rate_mag))) (<= 0 own_target_alt) (<= 0 (+ 30000 ?v_24)) (<= 0 ?v_3) (<= 0 (+ 30000 ?v_5))))))))))
(assert (let ((?v_14 (own_alt 0)) (?v_17 (state_is_No_RA 0)) (?v_9 (own_alt_rate 0)) (?v_3 (intr_alt 0)) (?v_29 (state_is_Climb 0)) (?v_24 (range 1)) (?v_0 (range_rate 1)) (?v_5 (intr_alt 1)) (?v_6 (intr_alt_rate 1)) (?v_7 (own_alt 1)) (?v_8 (own_alt_rate 1))) (let ((?v_10 (= ?v_8 ?v_9)) (?v_13 (alt_proj 1)) (?v_16 (limited_alt_proj 1)) (?v_20 (state_is_No_RA 1)) (?v_18 (state_is_Climb 1))) (let ((?v_22 (not ?v_18)) (?v_21 (state_is_Descend 1))) (let ((?v_19 (not ?v_21)) (?v_23 (not ?v_20)) (?v_25 (tau 1)) (?v_26 (Collision_Threat 1)) (?v_31 (* ?v_0 ?v_24))) (let ((?v_33 (* ?v_25 ?v_8))) (let ((?v_37 (* 1 ?v_33)) (?v_34 (* ?v_25 ?v_6))) (let ((?v_36 (* 1 ?v_34)) (?v_12 (* (- 1) ?v_14)) (?v_15 (* (- 1) own_target_alt)) (?v_1 (* (- 1) ?v_3)) (?v_4 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_27 (* (- 1) ?v_5)) (?v_28 (* (- 1) ?v_7)) (?v_11 (* (- 1) ?v_9)) (?v_32 (* (- 1) ?v_0)) (?v_30 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_31)))) (?v_38 (* (- 1) ?v_34)) (?v_35 (* (- 1) ?v_33))) (and (and (= (+ 0 ?v_24 (* (- 1) (range 0)) (* (- 1) (range_rate 0))) 0) (ite (< 0 (+ (- 1) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 ?v_1 intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_5 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_4)) (< 0 (+ 0 ?v_3 ?v_2 ?v_4))) (= (+ 0 ?v_5 ?v_1 intr_alt_rate_mag) 0) (= ?v_5 intr_target_alt))) (ite (< 0 (+ 0 ?v_27 intr_target_alt)) (= ?v_6 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_5 ?v_4)) (= ?v_6 ?v_2) (= ?v_6 0))) (ite ?v_17 (ite (< 0 (+ 0 ?v_28 own_target_alt)) (= ?v_8 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_7 ?v_15)) (= ?v_8 (* (- 1) own_alt_rate_mag)) (= ?v_8 0))) (ite ?v_29 (ite (<= 0 (+ 25 ?v_11)) (= ?v_8 25) ?v_10) (ite (<= 0 (+ 25 ?v_9)) (= ?v_8 (- 25)) ?v_10))) (= (+ 0 ?v_13 ?v_11 ?v_12) 0) (ite (or (and (< 0 (+ 0 ?v_12 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_13) own_target_alt))) (and (< 0 (+ 0 ?v_14 ?v_15)) (< 0 (+ 0 ?v_13 ?v_15)))) (= ?v_16 ?v_13) (= ?v_16 own_target_alt)) (ite ?v_17 (= ?v_16 ?v_7) (= ?v_13 ?v_7)) (or (and ?v_20 ?v_22 ?v_19) (and ?v_18 ?v_19 ?v_23) (and ?v_21 ?v_22 ?v_23)) (ite (< 0 (+ (/ (- 1) 720) ?v_32)) (= (+ 0 (* 1 (* ?v_25 ?v_0)) ?v_24) 0) (= (+ 0 ?v_25 (* (- 720) ?v_24)) 0)) (or (not ?v_17) (and (not ?v_26) ?v_20) (and ?v_26 ?v_18 (< 0 (+ 0 ?v_7 ?v_27))) (and ?v_26 ?v_21 (<= 0 (+ 0 ?v_28 ?v_5)))) (or ?v_17 (and ?v_29 ?v_18 ?v_30) (and (state_is_Descend 0) ?v_21 ?v_30) (and ?v_20 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_31)))))) (= (and (< 0 ?v_32) (<= 0 (+ 0 (* (- 1) ?v_25) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_37 ?v_38 ?v_7 ?v_27)) (< 0 (+ 500 ?v_35 ?v_36 ?v_28 ?v_5))) (and (< 0 (+ 0 ?v_35 ?v_36 ?v_28 ?v_5)) (< 0 (+ 500 ?v_37 ?v_38 ?v_7 ?v_27))))) ?v_26))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 1)) (?v_15 (own_alt 1)) (?v_10 (own_alt_rate 1)) (?v_18 (state_is_No_RA 1)) (?v_30 (state_is_Climb 1)) (?v_25 (range 2)) (?v_0 (range_rate 2)) (?v_6 (intr_alt 2)) (?v_7 (intr_alt_rate 2)) (?v_8 (own_alt 2)) (?v_9 (own_alt_rate 2))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 2)) (?v_17 (limited_alt_proj 2)) (?v_21 (state_is_No_RA 2)) (?v_19 (state_is_Climb 2))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 2))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 2)) (?v_27 (Collision_Threat 2)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 1)) (* (- 1) (range 1))) 0) (ite (< 0 (+ (- 2) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 1) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 2)) (?v_15 (own_alt 2)) (?v_10 (own_alt_rate 2)) (?v_18 (state_is_No_RA 2)) (?v_30 (state_is_Climb 2)) (?v_25 (range 3)) (?v_0 (range_rate 3)) (?v_6 (intr_alt 3)) (?v_7 (intr_alt_rate 3)) (?v_8 (own_alt 3)) (?v_9 (own_alt_rate 3))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 3)) (?v_17 (limited_alt_proj 3)) (?v_21 (state_is_No_RA 3)) (?v_19 (state_is_Climb 3))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 3))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 3)) (?v_27 (Collision_Threat 3)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 2)) (* (- 1) (range 2))) 0) (ite (< 0 (+ (- 3) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 2) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 3)) (?v_15 (own_alt 3)) (?v_10 (own_alt_rate 3)) (?v_18 (state_is_No_RA 3)) (?v_30 (state_is_Climb 3)) (?v_25 (range 4)) (?v_0 (range_rate 4)) (?v_6 (intr_alt 4)) (?v_7 (intr_alt_rate 4)) (?v_8 (own_alt 4)) (?v_9 (own_alt_rate 4))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 4)) (?v_17 (limited_alt_proj 4)) (?v_21 (state_is_No_RA 4)) (?v_19 (state_is_Climb 4))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 4))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 4)) (?v_27 (Collision_Threat 4)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 3)) (* (- 1) (range 3))) 0) (ite (< 0 (+ (- 4) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 3) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 4)) (?v_15 (own_alt 4)) (?v_10 (own_alt_rate 4)) (?v_18 (state_is_No_RA 4)) (?v_30 (state_is_Climb 4)) (?v_25 (range 5)) (?v_0 (range_rate 5)) (?v_6 (intr_alt 5)) (?v_7 (intr_alt_rate 5)) (?v_8 (own_alt 5)) (?v_9 (own_alt_rate 5))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 5)) (?v_17 (limited_alt_proj 5)) (?v_21 (state_is_No_RA 5)) (?v_19 (state_is_Climb 5))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 5))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 5)) (?v_27 (Collision_Threat 5)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 4)) (* (- 1) (range 4))) 0) (ite (< 0 (+ (- 5) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 4) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 5)) (?v_15 (own_alt 5)) (?v_10 (own_alt_rate 5)) (?v_18 (state_is_No_RA 5)) (?v_30 (state_is_Climb 5)) (?v_25 (range 6)) (?v_0 (range_rate 6)) (?v_6 (intr_alt 6)) (?v_7 (intr_alt_rate 6)) (?v_8 (own_alt 6)) (?v_9 (own_alt_rate 6))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 6)) (?v_17 (limited_alt_proj 6)) (?v_21 (state_is_No_RA 6)) (?v_19 (state_is_Climb 6))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 6))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 6)) (?v_27 (Collision_Threat 6)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 5)) (* (- 1) (range 5))) 0) (ite (< 0 (+ (- 6) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 5) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 6)) (?v_15 (own_alt 6)) (?v_10 (own_alt_rate 6)) (?v_18 (state_is_No_RA 6)) (?v_30 (state_is_Climb 6)) (?v_25 (range 7)) (?v_0 (range_rate 7)) (?v_6 (intr_alt 7)) (?v_7 (intr_alt_rate 7)) (?v_8 (own_alt 7)) (?v_9 (own_alt_rate 7))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 7)) (?v_17 (limited_alt_proj 7)) (?v_21 (state_is_No_RA 7)) (?v_19 (state_is_Climb 7))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 7))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 7)) (?v_27 (Collision_Threat 7)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 6)) (* (- 1) (range 6))) 0) (ite (< 0 (+ (- 7) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 6) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 7)) (?v_15 (own_alt 7)) (?v_10 (own_alt_rate 7)) (?v_18 (state_is_No_RA 7)) (?v_30 (state_is_Climb 7)) (?v_25 (range 8)) (?v_0 (range_rate 8)) (?v_6 (intr_alt 8)) (?v_7 (intr_alt_rate 8)) (?v_8 (own_alt 8)) (?v_9 (own_alt_rate 8))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 8)) (?v_17 (limited_alt_proj 8)) (?v_21 (state_is_No_RA 8)) (?v_19 (state_is_Climb 8))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 8))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 8)) (?v_27 (Collision_Threat 8)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 7)) (* (- 1) (range 7))) 0) (ite (< 0 (+ (- 8) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 7) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 8)) (?v_15 (own_alt 8)) (?v_10 (own_alt_rate 8)) (?v_18 (state_is_No_RA 8)) (?v_30 (state_is_Climb 8)) (?v_25 (range 9)) (?v_0 (range_rate 9)) (?v_6 (intr_alt 9)) (?v_7 (intr_alt_rate 9)) (?v_8 (own_alt 9)) (?v_9 (own_alt_rate 9))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 9)) (?v_17 (limited_alt_proj 9)) (?v_21 (state_is_No_RA 9)) (?v_19 (state_is_Climb 9))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 9))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 9)) (?v_27 (Collision_Threat 9)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 8)) (* (- 1) (range 8))) 0) (ite (< 0 (+ (- 9) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 8) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 9)) (?v_15 (own_alt 9)) (?v_10 (own_alt_rate 9)) (?v_18 (state_is_No_RA 9)) (?v_30 (state_is_Climb 9)) (?v_25 (range 10)) (?v_0 (range_rate 10)) (?v_6 (intr_alt 10)) (?v_7 (intr_alt_rate 10)) (?v_8 (own_alt 10)) (?v_9 (own_alt_rate 10))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 10)) (?v_17 (limited_alt_proj 10)) (?v_21 (state_is_No_RA 10)) (?v_19 (state_is_Climb 10))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 10))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 10)) (?v_27 (Collision_Threat 10)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 9)) (* (- 1) (range 9))) 0) (ite (< 0 (+ (- 10) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 9) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 10)) (?v_15 (own_alt 10)) (?v_10 (own_alt_rate 10)) (?v_18 (state_is_No_RA 10)) (?v_30 (state_is_Climb 10)) (?v_25 (range 11)) (?v_0 (range_rate 11)) (?v_6 (intr_alt 11)) (?v_7 (intr_alt_rate 11)) (?v_8 (own_alt 11)) (?v_9 (own_alt_rate 11))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 11)) (?v_17 (limited_alt_proj 11)) (?v_21 (state_is_No_RA 11)) (?v_19 (state_is_Climb 11))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 11))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 11)) (?v_27 (Collision_Threat 11)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 10)) (* (- 1) (range 10))) 0) (ite (< 0 (+ (- 11) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 10) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 11)) (?v_15 (own_alt 11)) (?v_10 (own_alt_rate 11)) (?v_18 (state_is_No_RA 11)) (?v_30 (state_is_Climb 11)) (?v_25 (range 12)) (?v_0 (range_rate 12)) (?v_6 (intr_alt 12)) (?v_7 (intr_alt_rate 12)) (?v_8 (own_alt 12)) (?v_9 (own_alt_rate 12))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 12)) (?v_17 (limited_alt_proj 12)) (?v_21 (state_is_No_RA 12)) (?v_19 (state_is_Climb 12))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 12))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 12)) (?v_27 (Collision_Threat 12)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 11)) (* (- 1) (range 11))) 0) (ite (< 0 (+ (- 12) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 11) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 12)) (?v_15 (own_alt 12)) (?v_10 (own_alt_rate 12)) (?v_18 (state_is_No_RA 12)) (?v_30 (state_is_Climb 12)) (?v_25 (range 13)) (?v_0 (range_rate 13)) (?v_6 (intr_alt 13)) (?v_7 (intr_alt_rate 13)) (?v_8 (own_alt 13)) (?v_9 (own_alt_rate 13))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 13)) (?v_17 (limited_alt_proj 13)) (?v_21 (state_is_No_RA 13)) (?v_19 (state_is_Climb 13))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 13))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 13)) (?v_27 (Collision_Threat 13)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 12)) (* (- 1) (range 12))) 0) (ite (< 0 (+ (- 13) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 12) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 13)) (?v_15 (own_alt 13)) (?v_10 (own_alt_rate 13)) (?v_18 (state_is_No_RA 13)) (?v_30 (state_is_Climb 13)) (?v_25 (range 14)) (?v_0 (range_rate 14)) (?v_6 (intr_alt 14)) (?v_7 (intr_alt_rate 14)) (?v_8 (own_alt 14)) (?v_9 (own_alt_rate 14))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 14)) (?v_17 (limited_alt_proj 14)) (?v_21 (state_is_No_RA 14)) (?v_19 (state_is_Climb 14))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 14))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 14)) (?v_27 (Collision_Threat 14)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 13)) (* (- 1) (range 13))) 0) (ite (< 0 (+ (- 14) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 13) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 14)) (?v_15 (own_alt 14)) (?v_10 (own_alt_rate 14)) (?v_18 (state_is_No_RA 14)) (?v_30 (state_is_Climb 14)) (?v_25 (range 15)) (?v_0 (range_rate 15)) (?v_6 (intr_alt 15)) (?v_7 (intr_alt_rate 15)) (?v_8 (own_alt 15)) (?v_9 (own_alt_rate 15))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 15)) (?v_17 (limited_alt_proj 15)) (?v_21 (state_is_No_RA 15)) (?v_19 (state_is_Climb 15))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 15))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 15)) (?v_27 (Collision_Threat 15)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 14)) (* (- 1) (range 14))) 0) (ite (< 0 (+ (- 15) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 14) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 15)) (?v_15 (own_alt 15)) (?v_10 (own_alt_rate 15)) (?v_18 (state_is_No_RA 15)) (?v_30 (state_is_Climb 15)) (?v_25 (range 16)) (?v_0 (range_rate 16)) (?v_6 (intr_alt 16)) (?v_7 (intr_alt_rate 16)) (?v_8 (own_alt 16)) (?v_9 (own_alt_rate 16))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 16)) (?v_17 (limited_alt_proj 16)) (?v_21 (state_is_No_RA 16)) (?v_19 (state_is_Climb 16))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 16))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 16)) (?v_27 (Collision_Threat 16)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 15)) (* (- 1) (range 15))) 0) (ite (< 0 (+ (- 16) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 15) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 16)) (?v_15 (own_alt 16)) (?v_10 (own_alt_rate 16)) (?v_18 (state_is_No_RA 16)) (?v_30 (state_is_Climb 16)) (?v_25 (range 17)) (?v_0 (range_rate 17)) (?v_6 (intr_alt 17)) (?v_7 (intr_alt_rate 17)) (?v_8 (own_alt 17)) (?v_9 (own_alt_rate 17))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 17)) (?v_17 (limited_alt_proj 17)) (?v_21 (state_is_No_RA 17)) (?v_19 (state_is_Climb 17))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 17))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 17)) (?v_27 (Collision_Threat 17)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 16)) (* (- 1) (range 16))) 0) (ite (< 0 (+ (- 17) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 16) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 17)) (?v_15 (own_alt 17)) (?v_10 (own_alt_rate 17)) (?v_18 (state_is_No_RA 17)) (?v_30 (state_is_Climb 17)) (?v_25 (range 18)) (?v_0 (range_rate 18)) (?v_6 (intr_alt 18)) (?v_7 (intr_alt_rate 18)) (?v_8 (own_alt 18)) (?v_9 (own_alt_rate 18))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 18)) (?v_17 (limited_alt_proj 18)) (?v_21 (state_is_No_RA 18)) (?v_19 (state_is_Climb 18))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 18))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 18)) (?v_27 (Collision_Threat 18)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 17)) (* (- 1) (range 17))) 0) (ite (< 0 (+ (- 18) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 17) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 18)) (?v_15 (own_alt 18)) (?v_10 (own_alt_rate 18)) (?v_18 (state_is_No_RA 18)) (?v_30 (state_is_Climb 18)) (?v_25 (range 19)) (?v_0 (range_rate 19)) (?v_6 (intr_alt 19)) (?v_7 (intr_alt_rate 19)) (?v_8 (own_alt 19)) (?v_9 (own_alt_rate 19))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 19)) (?v_17 (limited_alt_proj 19)) (?v_21 (state_is_No_RA 19)) (?v_19 (state_is_Climb 19))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 19))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 19)) (?v_27 (Collision_Threat 19)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 18)) (* (- 1) (range 18))) 0) (ite (< 0 (+ (- 19) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 18) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 19)) (?v_15 (own_alt 19)) (?v_10 (own_alt_rate 19)) (?v_18 (state_is_No_RA 19)) (?v_30 (state_is_Climb 19)) (?v_25 (range 20)) (?v_0 (range_rate 20)) (?v_6 (intr_alt 20)) (?v_7 (intr_alt_rate 20)) (?v_8 (own_alt 20)) (?v_9 (own_alt_rate 20))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 20)) (?v_17 (limited_alt_proj 20)) (?v_21 (state_is_No_RA 20)) (?v_19 (state_is_Climb 20))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 20))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 20)) (?v_27 (Collision_Threat 20)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 19)) (* (- 1) (range 19))) 0) (ite (< 0 (+ (- 20) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 19) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 20)) (?v_15 (own_alt 20)) (?v_10 (own_alt_rate 20)) (?v_18 (state_is_No_RA 20)) (?v_30 (state_is_Climb 20)) (?v_25 (range 21)) (?v_0 (range_rate 21)) (?v_6 (intr_alt 21)) (?v_7 (intr_alt_rate 21)) (?v_8 (own_alt 21)) (?v_9 (own_alt_rate 21))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 21)) (?v_17 (limited_alt_proj 21)) (?v_21 (state_is_No_RA 21)) (?v_19 (state_is_Climb 21))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 21))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 21)) (?v_27 (Collision_Threat 21)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 20)) (* (- 1) (range 20))) 0) (ite (< 0 (+ (- 21) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 20) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 21)) (?v_15 (own_alt 21)) (?v_10 (own_alt_rate 21)) (?v_18 (state_is_No_RA 21)) (?v_30 (state_is_Climb 21)) (?v_25 (range 22)) (?v_0 (range_rate 22)) (?v_6 (intr_alt 22)) (?v_7 (intr_alt_rate 22)) (?v_8 (own_alt 22)) (?v_9 (own_alt_rate 22))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 22)) (?v_17 (limited_alt_proj 22)) (?v_21 (state_is_No_RA 22)) (?v_19 (state_is_Climb 22))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 22))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 22)) (?v_27 (Collision_Threat 22)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 21)) (* (- 1) (range 21))) 0) (ite (< 0 (+ (- 22) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 21) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 22)) (?v_15 (own_alt 22)) (?v_10 (own_alt_rate 22)) (?v_18 (state_is_No_RA 22)) (?v_30 (state_is_Climb 22)) (?v_25 (range 23)) (?v_0 (range_rate 23)) (?v_6 (intr_alt 23)) (?v_7 (intr_alt_rate 23)) (?v_8 (own_alt 23)) (?v_9 (own_alt_rate 23))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 23)) (?v_17 (limited_alt_proj 23)) (?v_21 (state_is_No_RA 23)) (?v_19 (state_is_Climb 23))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 23))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 23)) (?v_27 (Collision_Threat 23)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 22)) (* (- 1) (range 22))) 0) (ite (< 0 (+ (- 23) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 22) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 23)) (?v_15 (own_alt 23)) (?v_10 (own_alt_rate 23)) (?v_18 (state_is_No_RA 23)) (?v_30 (state_is_Climb 23)) (?v_25 (range 24)) (?v_0 (range_rate 24)) (?v_6 (intr_alt 24)) (?v_7 (intr_alt_rate 24)) (?v_8 (own_alt 24)) (?v_9 (own_alt_rate 24))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 24)) (?v_17 (limited_alt_proj 24)) (?v_21 (state_is_No_RA 24)) (?v_19 (state_is_Climb 24))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 24))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 24)) (?v_27 (Collision_Threat 24)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 23)) (* (- 1) (range 23))) 0) (ite (< 0 (+ (- 24) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 23) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 24)) (?v_15 (own_alt 24)) (?v_10 (own_alt_rate 24)) (?v_18 (state_is_No_RA 24)) (?v_30 (state_is_Climb 24)) (?v_25 (range 25)) (?v_0 (range_rate 25)) (?v_6 (intr_alt 25)) (?v_7 (intr_alt_rate 25)) (?v_8 (own_alt 25)) (?v_9 (own_alt_rate 25))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 25)) (?v_17 (limited_alt_proj 25)) (?v_21 (state_is_No_RA 25)) (?v_19 (state_is_Climb 25))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 25))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 25)) (?v_27 (Collision_Threat 25)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 24)) (* (- 1) (range 24))) 0) (ite (< 0 (+ (- 25) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 24) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 25)) (?v_15 (own_alt 25)) (?v_10 (own_alt_rate 25)) (?v_18 (state_is_No_RA 25)) (?v_30 (state_is_Climb 25)) (?v_25 (range 26)) (?v_0 (range_rate 26)) (?v_6 (intr_alt 26)) (?v_7 (intr_alt_rate 26)) (?v_8 (own_alt 26)) (?v_9 (own_alt_rate 26))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 26)) (?v_17 (limited_alt_proj 26)) (?v_21 (state_is_No_RA 26)) (?v_19 (state_is_Climb 26))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 26))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 26)) (?v_27 (Collision_Threat 26)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 25)) (* (- 1) (range 25))) 0) (ite (< 0 (+ (- 26) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 25) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 26)) (?v_15 (own_alt 26)) (?v_10 (own_alt_rate 26)) (?v_18 (state_is_No_RA 26)) (?v_30 (state_is_Climb 26)) (?v_25 (range 27)) (?v_0 (range_rate 27)) (?v_6 (intr_alt 27)) (?v_7 (intr_alt_rate 27)) (?v_8 (own_alt 27)) (?v_9 (own_alt_rate 27))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 27)) (?v_17 (limited_alt_proj 27)) (?v_21 (state_is_No_RA 27)) (?v_19 (state_is_Climb 27))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 27))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 27)) (?v_27 (Collision_Threat 27)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 26)) (* (- 1) (range 26))) 0) (ite (< 0 (+ (- 27) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 26) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 27)) (?v_15 (own_alt 27)) (?v_10 (own_alt_rate 27)) (?v_18 (state_is_No_RA 27)) (?v_30 (state_is_Climb 27)) (?v_25 (range 28)) (?v_0 (range_rate 28)) (?v_6 (intr_alt 28)) (?v_7 (intr_alt_rate 28)) (?v_8 (own_alt 28)) (?v_9 (own_alt_rate 28))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 28)) (?v_17 (limited_alt_proj 28)) (?v_21 (state_is_No_RA 28)) (?v_19 (state_is_Climb 28))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 28))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 28)) (?v_27 (Collision_Threat 28)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 27)) (* (- 1) (range 27))) 0) (ite (< 0 (+ (- 28) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 27) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 28)) (?v_15 (own_alt 28)) (?v_10 (own_alt_rate 28)) (?v_18 (state_is_No_RA 28)) (?v_30 (state_is_Climb 28)) (?v_25 (range 29)) (?v_0 (range_rate 29)) (?v_6 (intr_alt 29)) (?v_7 (intr_alt_rate 29)) (?v_8 (own_alt 29)) (?v_9 (own_alt_rate 29))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 29)) (?v_17 (limited_alt_proj 29)) (?v_21 (state_is_No_RA 29)) (?v_19 (state_is_Climb 29))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 29))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 29)) (?v_27 (Collision_Threat 29)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 28)) (* (- 1) (range 28))) 0) (ite (< 0 (+ (- 29) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 28) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 29)) (?v_15 (own_alt 29)) (?v_10 (own_alt_rate 29)) (?v_18 (state_is_No_RA 29)) (?v_30 (state_is_Climb 29)) (?v_25 (range 30)) (?v_0 (range_rate 30)) (?v_6 (intr_alt 30)) (?v_7 (intr_alt_rate 30)) (?v_8 (own_alt 30)) (?v_9 (own_alt_rate 30))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 30)) (?v_17 (limited_alt_proj 30)) (?v_21 (state_is_No_RA 30)) (?v_19 (state_is_Climb 30))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 30))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 30)) (?v_27 (Collision_Threat 30)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 29)) (* (- 1) (range 29))) 0) (ite (< 0 (+ (- 30) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 29) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 30)) (?v_15 (own_alt 30)) (?v_10 (own_alt_rate 30)) (?v_18 (state_is_No_RA 30)) (?v_30 (state_is_Climb 30)) (?v_25 (range 31)) (?v_0 (range_rate 31)) (?v_6 (intr_alt 31)) (?v_7 (intr_alt_rate 31)) (?v_8 (own_alt 31)) (?v_9 (own_alt_rate 31))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 31)) (?v_17 (limited_alt_proj 31)) (?v_21 (state_is_No_RA 31)) (?v_19 (state_is_Climb 31))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 31))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 31)) (?v_27 (Collision_Threat 31)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 30)) (* (- 1) (range 30))) 0) (ite (< 0 (+ (- 31) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 30) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 31)) (?v_15 (own_alt 31)) (?v_10 (own_alt_rate 31)) (?v_18 (state_is_No_RA 31)) (?v_30 (state_is_Climb 31)) (?v_25 (range 32)) (?v_0 (range_rate 32)) (?v_6 (intr_alt 32)) (?v_7 (intr_alt_rate 32)) (?v_8 (own_alt 32)) (?v_9 (own_alt_rate 32))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 32)) (?v_17 (limited_alt_proj 32)) (?v_21 (state_is_No_RA 32)) (?v_19 (state_is_Climb 32))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 32))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 32)) (?v_27 (Collision_Threat 32)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 31)) (* (- 1) (range 31))) 0) (ite (< 0 (+ (- 32) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 31) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 32)) (?v_15 (own_alt 32)) (?v_10 (own_alt_rate 32)) (?v_18 (state_is_No_RA 32)) (?v_30 (state_is_Climb 32)) (?v_25 (range 33)) (?v_0 (range_rate 33)) (?v_6 (intr_alt 33)) (?v_7 (intr_alt_rate 33)) (?v_8 (own_alt 33)) (?v_9 (own_alt_rate 33))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 33)) (?v_17 (limited_alt_proj 33)) (?v_21 (state_is_No_RA 33)) (?v_19 (state_is_Climb 33))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 33))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 33)) (?v_27 (Collision_Threat 33)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 32)) (* (- 1) (range 32))) 0) (ite (< 0 (+ (- 33) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 32) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 33)) (?v_15 (own_alt 33)) (?v_10 (own_alt_rate 33)) (?v_18 (state_is_No_RA 33)) (?v_30 (state_is_Climb 33)) (?v_25 (range 34)) (?v_0 (range_rate 34)) (?v_6 (intr_alt 34)) (?v_7 (intr_alt_rate 34)) (?v_8 (own_alt 34)) (?v_9 (own_alt_rate 34))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 34)) (?v_17 (limited_alt_proj 34)) (?v_21 (state_is_No_RA 34)) (?v_19 (state_is_Climb 34))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 34))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 34)) (?v_27 (Collision_Threat 34)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 33)) (* (- 1) (range 33))) 0) (ite (< 0 (+ (- 34) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 33) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 34)) (?v_15 (own_alt 34)) (?v_10 (own_alt_rate 34)) (?v_18 (state_is_No_RA 34)) (?v_30 (state_is_Climb 34)) (?v_25 (range 35)) (?v_0 (range_rate 35)) (?v_6 (intr_alt 35)) (?v_7 (intr_alt_rate 35)) (?v_8 (own_alt 35)) (?v_9 (own_alt_rate 35))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 35)) (?v_17 (limited_alt_proj 35)) (?v_21 (state_is_No_RA 35)) (?v_19 (state_is_Climb 35))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 35))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 35)) (?v_27 (Collision_Threat 35)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 34)) (* (- 1) (range 34))) 0) (ite (< 0 (+ (- 35) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 34) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 35)) (?v_15 (own_alt 35)) (?v_10 (own_alt_rate 35)) (?v_18 (state_is_No_RA 35)) (?v_30 (state_is_Climb 35)) (?v_25 (range 36)) (?v_0 (range_rate 36)) (?v_6 (intr_alt 36)) (?v_7 (intr_alt_rate 36)) (?v_8 (own_alt 36)) (?v_9 (own_alt_rate 36))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 36)) (?v_17 (limited_alt_proj 36)) (?v_21 (state_is_No_RA 36)) (?v_19 (state_is_Climb 36))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 36))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 36)) (?v_27 (Collision_Threat 36)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 35)) (* (- 1) (range 35))) 0) (ite (< 0 (+ (- 36) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 35) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 36)) (?v_15 (own_alt 36)) (?v_10 (own_alt_rate 36)) (?v_18 (state_is_No_RA 36)) (?v_30 (state_is_Climb 36)) (?v_25 (range 37)) (?v_0 (range_rate 37)) (?v_6 (intr_alt 37)) (?v_7 (intr_alt_rate 37)) (?v_8 (own_alt 37)) (?v_9 (own_alt_rate 37))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 37)) (?v_17 (limited_alt_proj 37)) (?v_21 (state_is_No_RA 37)) (?v_19 (state_is_Climb 37))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 37))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 37)) (?v_27 (Collision_Threat 37)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 36)) (* (- 1) (range 36))) 0) (ite (< 0 (+ (- 37) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 36) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 37)) (?v_15 (own_alt 37)) (?v_10 (own_alt_rate 37)) (?v_18 (state_is_No_RA 37)) (?v_30 (state_is_Climb 37)) (?v_25 (range 38)) (?v_0 (range_rate 38)) (?v_6 (intr_alt 38)) (?v_7 (intr_alt_rate 38)) (?v_8 (own_alt 38)) (?v_9 (own_alt_rate 38))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 38)) (?v_17 (limited_alt_proj 38)) (?v_21 (state_is_No_RA 38)) (?v_19 (state_is_Climb 38))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 38))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 38)) (?v_27 (Collision_Threat 38)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 37)) (* (- 1) (range 37))) 0) (ite (< 0 (+ (- 38) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 37) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 38)) (?v_15 (own_alt 38)) (?v_10 (own_alt_rate 38)) (?v_18 (state_is_No_RA 38)) (?v_30 (state_is_Climb 38)) (?v_25 (range 39)) (?v_0 (range_rate 39)) (?v_6 (intr_alt 39)) (?v_7 (intr_alt_rate 39)) (?v_8 (own_alt 39)) (?v_9 (own_alt_rate 39))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 39)) (?v_17 (limited_alt_proj 39)) (?v_21 (state_is_No_RA 39)) (?v_19 (state_is_Climb 39))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 39))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 39)) (?v_27 (Collision_Threat 39)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 38)) (* (- 1) (range 38))) 0) (ite (< 0 (+ (- 39) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 38) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (let ((?v_3 (intr_alt 0)) (?v_4 (intr_alt 39)) (?v_15 (own_alt 39)) (?v_10 (own_alt_rate 39)) (?v_18 (state_is_No_RA 39)) (?v_30 (state_is_Climb 39)) (?v_25 (range 40)) (?v_0 (range_rate 40)) (?v_6 (intr_alt 40)) (?v_7 (intr_alt_rate 40)) (?v_8 (own_alt 40)) (?v_9 (own_alt_rate 40))) (let ((?v_11 (= ?v_9 ?v_10)) (?v_14 (alt_proj 40)) (?v_17 (limited_alt_proj 40)) (?v_21 (state_is_No_RA 40)) (?v_19 (state_is_Climb 40))) (let ((?v_23 (not ?v_19)) (?v_22 (state_is_Descend 40))) (let ((?v_20 (not ?v_22)) (?v_24 (not ?v_21)) (?v_26 (tau 40)) (?v_27 (Collision_Threat 40)) (?v_32 (* ?v_0 ?v_25))) (let ((?v_34 (* ?v_26 ?v_9))) (let ((?v_38 (* 1 ?v_34)) (?v_35 (* ?v_26 ?v_7))) (let ((?v_37 (* 1 ?v_35)) (?v_16 (* (- 1) own_target_alt)) (?v_5 (* (- 1) intr_target_alt)) (?v_2 (* (- 1) intr_alt_rate_mag)) (?v_1 (* (- 1) ?v_4)) (?v_13 (* (- 1) ?v_15)) (?v_28 (* (- 1) ?v_6)) (?v_29 (* (- 1) ?v_8)) (?v_12 (* (- 1) ?v_10)) (?v_33 (* (- 1) ?v_0)) (?v_31 (<= 0 (+ (/ 1 3600) (* (- 1) ?v_32)))) (?v_39 (* (- 1) ?v_35)) (?v_36 (* (- 1) ?v_34))) (and (and (= (+ 0 ?v_25 (* (- 1) (range_rate 39)) (* (- 1) (range 39))) 0) (ite (< 0 (+ (- 40) TCA)) (= ?v_0 (* (- 1) rrm)) (= ?v_0 rrm)) (ite (and (< 0 (+ 0 (* (- 1) ?v_3) intr_target_alt)) (< 0 (+ 0 ?v_1 ?v_2 intr_target_alt))) (= (+ 0 ?v_6 ?v_1 ?v_2) 0) (ite (and (<= 0 (+ 0 ?v_3 ?v_5)) (< 0 (+ 0 ?v_4 ?v_2 ?v_5))) (= (+ 0 ?v_6 ?v_1 intr_alt_rate_mag) 0) (= ?v_6 intr_target_alt))) (ite (< 0 (+ 0 ?v_28 intr_target_alt)) (= ?v_7 intr_alt_rate_mag) (ite (< 0 (+ 0 ?v_6 ?v_5)) (= ?v_7 ?v_2) (= ?v_7 0))) (ite ?v_18 (ite (< 0 (+ 0 ?v_29 own_target_alt)) (= ?v_9 own_alt_rate_mag) (ite (< 0 (+ 0 ?v_8 ?v_16)) (= ?v_9 (* (- 1) own_alt_rate_mag)) (= ?v_9 0))) (ite ?v_30 (ite (<= 0 (+ 25 ?v_12)) (= ?v_9 25) ?v_11) (ite (<= 0 (+ 25 ?v_10)) (= ?v_9 (- 25)) ?v_11))) (= (+ 0 ?v_14 ?v_12 ?v_13) 0) (ite (or (and (< 0 (+ 0 ?v_13 own_target_alt)) (< 0 (+ 0 (* (- 1) ?v_14) own_target_alt))) (and (< 0 (+ 0 ?v_15 ?v_16)) (< 0 (+ 0 ?v_14 ?v_16)))) (= ?v_17 ?v_14) (= ?v_17 own_target_alt)) (ite ?v_18 (= ?v_17 ?v_8) (= ?v_14 ?v_8)) (or (and ?v_21 ?v_23 ?v_20) (and ?v_19 ?v_20 ?v_24) (and ?v_22 ?v_23 ?v_24)) (ite (< 0 (+ (/ (- 1) 720) ?v_33)) (= (+ 0 (* 1 (* ?v_26 ?v_0)) ?v_25) 0) (= (+ 0 ?v_26 (* (- 720) ?v_25)) 0)) (or (not ?v_18) (and (not ?v_27) ?v_21) (and ?v_27 ?v_19 (< 0 (+ 0 ?v_8 ?v_28))) (and ?v_27 ?v_22 (<= 0 (+ 0 ?v_29 ?v_6)))) (or ?v_18 (and ?v_30 ?v_19 ?v_31) (and (state_is_Descend 39) ?v_22 ?v_31) (and ?v_21 (< 0 (+ (/ (- 1) 3600) (* 1 ?v_32)))))) (= (and (< 0 ?v_33) (<= 0 (+ 0 (* (- 1) ?v_26) MAX_Tau_To_Trigger_Threat)) (or (and (<= 0 (+ 0 ?v_38 ?v_39 ?v_8 ?v_28)) (< 0 (+ 500 ?v_36 ?v_37 ?v_29 ?v_6))) (and (< 0 (+ 0 ?v_36 ?v_37 ?v_29 ?v_6)) (< 0 (+ 500 ?v_38 ?v_39 ?v_8 ?v_28))))) ?v_27))))))))))
(assert (= (+ 20 (* (- 1) TCA)) 0))
(assert (= (+ 19 (* (- 1) MAX_Tau_To_Trigger_Threat)) 0))
(assert (= (+ (/ 1 300) (* (- 1) rrm)) 0))
(assert (= (+ 25 (* (- 1) own_alt_rate_mag) intr_alt_rate_mag) 0))
(assert (let ((?v_0 (own_alt 0)) (?v_1 (intr_alt 0)) (?v_5 (intr_alt 1)) (?v_4 (own_alt 1)) (?v_9 (intr_alt 2)) (?v_8 (own_alt 2)) (?v_13 (intr_alt 3)) (?v_12 (own_alt 3)) (?v_17 (intr_alt 4)) (?v_16 (own_alt 4)) (?v_21 (intr_alt 5)) (?v_20 (own_alt 5)) (?v_25 (intr_alt 6)) (?v_24 (own_alt 6)) (?v_29 (intr_alt 7)) (?v_28 (own_alt 7)) (?v_33 (intr_alt 8)) (?v_32 (own_alt 8)) (?v_37 (intr_alt 9)) (?v_36 (own_alt 9)) (?v_41 (intr_alt 10)) (?v_40 (own_alt 10)) (?v_45 (intr_alt 11)) (?v_44 (own_alt 11)) (?v_49 (intr_alt 12)) (?v_48 (own_alt 12)) (?v_53 (intr_alt 13)) (?v_52 (own_alt 13)) (?v_57 (intr_alt 14)) (?v_56 (own_alt 14)) (?v_61 (intr_alt 15)) (?v_60 (own_alt 15)) (?v_65 (intr_alt 16)) (?v_64 (own_alt 16)) (?v_69 (intr_alt 17)) (?v_68 (own_alt 17)) (?v_73 (intr_alt 18)) (?v_72 (own_alt 18)) (?v_77 (intr_alt 19)) (?v_76 (own_alt 19)) (?v_81 (intr_alt 20)) (?v_80 (own_alt 20)) (?v_85 (intr_alt 21)) (?v_84 (own_alt 21)) (?v_89 (intr_alt 22)) (?v_88 (own_alt 22)) (?v_93 (intr_alt 23)) (?v_92 (own_alt 23)) (?v_97 (intr_alt 24)) (?v_96 (own_alt 24)) (?v_101 (intr_alt 25)) (?v_100 (own_alt 25)) (?v_105 (intr_alt 26)) (?v_104 (own_alt 26)) (?v_109 (intr_alt 27)) (?v_108 (own_alt 27)) (?v_113 (intr_alt 28)) (?v_112 (own_alt 28)) (?v_117 (intr_alt 29)) (?v_116 (own_alt 29)) (?v_121 (intr_alt 30)) (?v_120 (own_alt 30)) (?v_125 (intr_alt 31)) (?v_124 (own_alt 31)) (?v_129 (intr_alt 32)) (?v_128 (own_alt 32)) (?v_133 (intr_alt 33)) (?v_132 (own_alt 33)) (?v_137 (intr_alt 34)) (?v_136 (own_alt 34)) (?v_141 (intr_alt 35)) (?v_140 (own_alt 35)) (?v_145 (intr_alt 36)) (?v_144 (own_alt 36)) (?v_149 (intr_alt 37)) (?v_148 (own_alt 37)) (?v_153 (intr_alt 38)) (?v_152 (own_alt 38)) (?v_157 (intr_alt 39)) (?v_156 (own_alt 39)) (?v_161 (intr_alt 40)) (?v_160 (own_alt 40))) (let ((?v_2 (* (- 1) ?v_0)) (?v_3 (* (- 1) ?v_1)) (?v_7 (* (- 1) ?v_5)) (?v_6 (* (- 1) ?v_4)) (?v_11 (* (- 1) ?v_9)) (?v_10 (* (- 1) ?v_8)) (?v_15 (* (- 1) ?v_13)) (?v_14 (* (- 1) ?v_12)) (?v_19 (* (- 1) ?v_17)) (?v_18 (* (- 1) ?v_16)) (?v_23 (* (- 1) ?v_21)) (?v_22 (* (- 1) ?v_20)) (?v_27 (* (- 1) ?v_25)) (?v_26 (* (- 1) ?v_24)) (?v_31 (* (- 1) ?v_29)) (?v_30 (* (- 1) ?v_28)) (?v_35 (* (- 1) ?v_33)) (?v_34 (* (- 1) ?v_32)) (?v_39 (* (- 1) ?v_37)) (?v_38 (* (- 1) ?v_36)) (?v_43 (* (- 1) ?v_41)) (?v_42 (* (- 1) ?v_40)) (?v_47 (* (- 1) ?v_45)) (?v_46 (* (- 1) ?v_44)) (?v_51 (* (- 1) ?v_49)) (?v_50 (* (- 1) ?v_48)) (?v_55 (* (- 1) ?v_53)) (?v_54 (* (- 1) ?v_52)) (?v_59 (* (- 1) ?v_57)) (?v_58 (* (- 1) ?v_56)) (?v_63 (* (- 1) ?v_61)) (?v_62 (* (- 1) ?v_60)) (?v_67 (* (- 1) ?v_65)) (?v_66 (* (- 1) ?v_64)) (?v_71 (* (- 1) ?v_69)) (?v_70 (* (- 1) ?v_68)) (?v_75 (* (- 1) ?v_73)) (?v_74 (* (- 1) ?v_72)) (?v_79 (* (- 1) ?v_77)) (?v_78 (* (- 1) ?v_76)) (?v_83 (* (- 1) ?v_81)) (?v_82 (* (- 1) ?v_80)) (?v_87 (* (- 1) ?v_85)) (?v_86 (* (- 1) ?v_84)) (?v_91 (* (- 1) ?v_89)) (?v_90 (* (- 1) ?v_88)) (?v_95 (* (- 1) ?v_93)) (?v_94 (* (- 1) ?v_92)) (?v_99 (* (- 1) ?v_97)) (?v_98 (* (- 1) ?v_96)) (?v_103 (* (- 1) ?v_101)) (?v_102 (* (- 1) ?v_100)) (?v_107 (* (- 1) ?v_105)) (?v_106 (* (- 1) ?v_104)) (?v_111 (* (- 1) ?v_109)) (?v_110 (* (- 1) ?v_108)) (?v_115 (* (- 1) ?v_113)) (?v_114 (* (- 1) ?v_112)) (?v_119 (* (- 1) ?v_117)) (?v_118 (* (- 1) ?v_116)) (?v_123 (* (- 1) ?v_121)) (?v_122 (* (- 1) ?v_120)) (?v_127 (* (- 1) ?v_125)) (?v_126 (* (- 1) ?v_124)) (?v_131 (* (- 1) ?v_129)) (?v_130 (* (- 1) ?v_128)) (?v_135 (* (- 1) ?v_133)) (?v_134 (* (- 1) ?v_132)) (?v_139 (* (- 1) ?v_137)) (?v_138 (* (- 1) ?v_136)) (?v_143 (* (- 1) ?v_141)) (?v_142 (* (- 1) ?v_140)) (?v_147 (* (- 1) ?v_145)) (?v_146 (* (- 1) ?v_144)) (?v_151 (* (- 1) ?v_149)) (?v_150 (* (- 1) ?v_148)) (?v_155 (* (- 1) ?v_153)) (?v_154 (* (- 1) ?v_152)) (?v_159 (* (- 1) ?v_157)) (?v_158 (* (- 1) ?v_156)) (?v_163 (* (- 1) ?v_161)) (?v_162 (* (- 1) ?v_160))) (or (or (or (or (or (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 0)))) (or (and (< 0 (+ 0 ?v_0 ?v_3)) (<= 0 (+ 100 ?v_2 ?v_1))) (and (<= 0 (+ 0 ?v_2 ?v_1)) (<= 0 (+ 100 ?v_0 ?v_3))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 1)))) (or (and (< 0 (+ 0 ?v_4 ?v_7)) (<= 0 (+ 100 ?v_6 ?v_5))) (and (<= 0 (+ 0 ?v_6 ?v_5)) (<= 0 (+ 100 ?v_4 ?v_7))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 2)))) (or (and (< 0 (+ 0 ?v_8 ?v_11)) (<= 0 (+ 100 ?v_10 ?v_9))) (and (<= 0 (+ 0 ?v_10 ?v_9)) (<= 0 (+ 100 ?v_8 ?v_11))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 3)))) (or (and (< 0 (+ 0 ?v_12 ?v_15)) (<= 0 (+ 100 ?v_14 ?v_13))) (and (<= 0 (+ 0 ?v_14 ?v_13)) (<= 0 (+ 100 ?v_12 ?v_15))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 4)))) (or (and (< 0 (+ 0 ?v_16 ?v_19)) (<= 0 (+ 100 ?v_18 ?v_17))) (and (<= 0 (+ 0 ?v_18 ?v_17)) (<= 0 (+ 100 ?v_16 ?v_19))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 5)))) (or (and (< 0 (+ 0 ?v_20 ?v_23)) (<= 0 (+ 100 ?v_22 ?v_21))) (and (<= 0 (+ 0 ?v_22 ?v_21)) (<= 0 (+ 100 ?v_20 ?v_23))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 6)))) (or (and (< 0 (+ 0 ?v_24 ?v_27)) (<= 0 (+ 100 ?v_26 ?v_25))) (and (<= 0 (+ 0 ?v_26 ?v_25)) (<= 0 (+ 100 ?v_24 ?v_27))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 7)))) (or (and (< 0 (+ 0 ?v_28 ?v_31)) (<= 0 (+ 100 ?v_30 ?v_29))) (and (<= 0 (+ 0 ?v_30 ?v_29)) (<= 0 (+ 100 ?v_28 ?v_31))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 8)))) (or (and (< 0 (+ 0 ?v_32 ?v_35)) (<= 0 (+ 100 ?v_34 ?v_33))) (and (<= 0 (+ 0 ?v_34 ?v_33)) (<= 0 (+ 100 ?v_32 ?v_35))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 9)))) (or (and (< 0 (+ 0 ?v_36 ?v_39)) (<= 0 (+ 100 ?v_38 ?v_37))) (and (<= 0 (+ 0 ?v_38 ?v_37)) (<= 0 (+ 100 ?v_36 ?v_39)))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 10)))) (or (and (< 0 (+ 0 ?v_40 ?v_43)) (<= 0 (+ 100 ?v_42 ?v_41))) (and (<= 0 (+ 0 ?v_42 ?v_41)) (<= 0 (+ 100 ?v_40 ?v_43))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 11)))) (or (and (< 0 (+ 0 ?v_44 ?v_47)) (<= 0 (+ 100 ?v_46 ?v_45))) (and (<= 0 (+ 0 ?v_46 ?v_45)) (<= 0 (+ 100 ?v_44 ?v_47))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 12)))) (or (and (< 0 (+ 0 ?v_48 ?v_51)) (<= 0 (+ 100 ?v_50 ?v_49))) (and (<= 0 (+ 0 ?v_50 ?v_49)) (<= 0 (+ 100 ?v_48 ?v_51))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 13)))) (or (and (< 0 (+ 0 ?v_52 ?v_55)) (<= 0 (+ 100 ?v_54 ?v_53))) (and (<= 0 (+ 0 ?v_54 ?v_53)) (<= 0 (+ 100 ?v_52 ?v_55))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 14)))) (or (and (< 0 (+ 0 ?v_56 ?v_59)) (<= 0 (+ 100 ?v_58 ?v_57))) (and (<= 0 (+ 0 ?v_58 ?v_57)) (<= 0 (+ 100 ?v_56 ?v_59))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 15)))) (or (and (< 0 (+ 0 ?v_60 ?v_63)) (<= 0 (+ 100 ?v_62 ?v_61))) (and (<= 0 (+ 0 ?v_62 ?v_61)) (<= 0 (+ 100 ?v_60 ?v_63))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 16)))) (or (and (< 0 (+ 0 ?v_64 ?v_67)) (<= 0 (+ 100 ?v_66 ?v_65))) (and (<= 0 (+ 0 ?v_66 ?v_65)) (<= 0 (+ 100 ?v_64 ?v_67))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 17)))) (or (and (< 0 (+ 0 ?v_68 ?v_71)) (<= 0 (+ 100 ?v_70 ?v_69))) (and (<= 0 (+ 0 ?v_70 ?v_69)) (<= 0 (+ 100 ?v_68 ?v_71))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 18)))) (or (and (< 0 (+ 0 ?v_72 ?v_75)) (<= 0 (+ 100 ?v_74 ?v_73))) (and (<= 0 (+ 0 ?v_74 ?v_73)) (<= 0 (+ 100 ?v_72 ?v_75)))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 19)))) (or (and (< 0 (+ 0 ?v_76 ?v_79)) (<= 0 (+ 100 ?v_78 ?v_77))) (and (<= 0 (+ 0 ?v_78 ?v_77)) (<= 0 (+ 100 ?v_76 ?v_79))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 20)))) (or (and (< 0 (+ 0 ?v_80 ?v_83)) (<= 0 (+ 100 ?v_82 ?v_81))) (and (<= 0 (+ 0 ?v_82 ?v_81)) (<= 0 (+ 100 ?v_80 ?v_83))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 21)))) (or (and (< 0 (+ 0 ?v_84 ?v_87)) (<= 0 (+ 100 ?v_86 ?v_85))) (and (<= 0 (+ 0 ?v_86 ?v_85)) (<= 0 (+ 100 ?v_84 ?v_87))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 22)))) (or (and (< 0 (+ 0 ?v_88 ?v_91)) (<= 0 (+ 100 ?v_90 ?v_89))) (and (<= 0 (+ 0 ?v_90 ?v_89)) (<= 0 (+ 100 ?v_88 ?v_91))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 23)))) (or (and (< 0 (+ 0 ?v_92 ?v_95)) (<= 0 (+ 100 ?v_94 ?v_93))) (and (<= 0 (+ 0 ?v_94 ?v_93)) (<= 0 (+ 100 ?v_92 ?v_95))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 24)))) (or (and (< 0 (+ 0 ?v_96 ?v_99)) (<= 0 (+ 100 ?v_98 ?v_97))) (and (<= 0 (+ 0 ?v_98 ?v_97)) (<= 0 (+ 100 ?v_96 ?v_99))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 25)))) (or (and (< 0 (+ 0 ?v_100 ?v_103)) (<= 0 (+ 100 ?v_102 ?v_101))) (and (<= 0 (+ 0 ?v_102 ?v_101)) (<= 0 (+ 100 ?v_100 ?v_103))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 26)))) (or (and (< 0 (+ 0 ?v_104 ?v_107)) (<= 0 (+ 100 ?v_106 ?v_105))) (and (<= 0 (+ 0 ?v_106 ?v_105)) (<= 0 (+ 100 ?v_104 ?v_107))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 27)))) (or (and (< 0 (+ 0 ?v_108 ?v_111)) (<= 0 (+ 100 ?v_110 ?v_109))) (and (<= 0 (+ 0 ?v_110 ?v_109)) (<= 0 (+ 100 ?v_108 ?v_111)))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 28)))) (or (and (< 0 (+ 0 ?v_112 ?v_115)) (<= 0 (+ 100 ?v_114 ?v_113))) (and (<= 0 (+ 0 ?v_114 ?v_113)) (<= 0 (+ 100 ?v_112 ?v_115))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 29)))) (or (and (< 0 (+ 0 ?v_116 ?v_119)) (<= 0 (+ 100 ?v_118 ?v_117))) (and (<= 0 (+ 0 ?v_118 ?v_117)) (<= 0 (+ 100 ?v_116 ?v_119))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 30)))) (or (and (< 0 (+ 0 ?v_120 ?v_123)) (<= 0 (+ 100 ?v_122 ?v_121))) (and (<= 0 (+ 0 ?v_122 ?v_121)) (<= 0 (+ 100 ?v_120 ?v_123))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 31)))) (or (and (< 0 (+ 0 ?v_124 ?v_127)) (<= 0 (+ 100 ?v_126 ?v_125))) (and (<= 0 (+ 0 ?v_126 ?v_125)) (<= 0 (+ 100 ?v_124 ?v_127))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 32)))) (or (and (< 0 (+ 0 ?v_128 ?v_131)) (<= 0 (+ 100 ?v_130 ?v_129))) (and (<= 0 (+ 0 ?v_130 ?v_129)) (<= 0 (+ 100 ?v_128 ?v_131))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 33)))) (or (and (< 0 (+ 0 ?v_132 ?v_135)) (<= 0 (+ 100 ?v_134 ?v_133))) (and (<= 0 (+ 0 ?v_134 ?v_133)) (<= 0 (+ 100 ?v_132 ?v_135))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 34)))) (or (and (< 0 (+ 0 ?v_136 ?v_139)) (<= 0 (+ 100 ?v_138 ?v_137))) (and (<= 0 (+ 0 ?v_138 ?v_137)) (<= 0 (+ 100 ?v_136 ?v_139))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 35)))) (or (and (< 0 (+ 0 ?v_140 ?v_143)) (<= 0 (+ 100 ?v_142 ?v_141))) (and (<= 0 (+ 0 ?v_142 ?v_141)) (<= 0 (+ 100 ?v_140 ?v_143))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 36)))) (or (and (< 0 (+ 0 ?v_144 ?v_147)) (<= 0 (+ 100 ?v_146 ?v_145))) (and (<= 0 (+ 0 ?v_146 ?v_145)) (<= 0 (+ 100 ?v_144 ?v_147)))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 37)))) (or (and (< 0 (+ 0 ?v_148 ?v_151)) (<= 0 (+ 100 ?v_150 ?v_149))) (and (<= 0 (+ 0 ?v_150 ?v_149)) (<= 0 (+ 100 ?v_148 ?v_151))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 38)))) (or (and (< 0 (+ 0 ?v_152 ?v_155)) (<= 0 (+ 100 ?v_154 ?v_153))) (and (<= 0 (+ 0 ?v_154 ?v_153)) (<= 0 (+ 100 ?v_152 ?v_155))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 39)))) (or (and (< 0 (+ 0 ?v_156 ?v_159)) (<= 0 (+ 100 ?v_158 ?v_157))) (and (<= 0 (+ 0 ?v_158 ?v_157)) (<= 0 (+ 100 ?v_156 ?v_159))))) (and (<= 0 (+ (/ 823 10000) (* (- 1) (range 40)))) (or (and (< 0 (+ 0 ?v_160 ?v_163)) (<= 0 (+ 100 ?v_162 ?v_161))) (and (<= 0 (+ 0 ?v_162 ?v_161)) (<= 0 (+ 100 ?v_160 ?v_163)))))))))
(check-sat)
(exit)
